Subject: RE: [Pana] [issue19] Result-Code AVP values?

From: [email-masked]
Date: Thu, 2 Oct 2003 10:17:48 +0300

> -----Original Message-----
> From: ext Alper Yegin [mailto:[email-masked]]
> Sent: 02 October, 2003 03:36
> To: Forsberg Dan (NRC/Helsinki); [email-masked]
> Subject: Re: [Pana] [issue19] Result-Code AVP values?
> 
> >        PANA_UNABLE_TO_DELIVER                  3002
> >           Error code from PAA to PaC.  The network was unable to
> >           deliver the message.
> 
> I presume this would be sent by the PAA when it cannot pass a 
> response from
> PaC to the AAA backend? We should clarify...

Yes. How about this:

   PANA_UNABLE_TO_DELIVER                  3002
      Error code from PAA to PaC.  PAA was unable to deliver
      the EAP payload to the authentication server.

> > 
> >        PANA_REALM_NOT_SERVED                   3003
> >           Error code from PAA to PaC.  The network doesn't recognize
> >           the realm.
> 
> We don't have a place where PaC sends the realm information. 
> So, I can't see
> where such an error would be returned to the PaC.

The EAP-Response/Identity contains the realm if it is required. Or
should we create a NAI AVP, that contains only the realm? Realm is
needed to route the packet to the right AAA backend. If PAA
functionality doesn't check the realm, NAS or for example the local
AAA proxy will do it. But in the case of unknown realm the client
should be notified.

> 
> > 
> >        PANA_TOO_BUSY                           3004
> >           Error code from PAA to PaC.  Not enough resources to serve
> >           the client.  PaC SHOULD attempt to send this message to
> >           alternate PAA.  This error SHOULD NOT be used as an answer
> >           to the PANA-PAA-Discover message.
> 
> I think PAA should never have to send such a message. I'd say 
> the PAA should
> allocate sufficient resources before engaging in a PANA 
> session. After all,
> we don't have a session relocation facility, PaC cannot 
> change its PAA in
> the middle.

Ok. I'll remove this one.

> 
> > 9.4.7.4.  Permanent failures
> > 
> >     Errors that fall within the permanent failures category are used
> >     to inform the sender that the message processing failed, and
> >     that the sender should not attempt to send the same message
> >     again.
> 
> I'm not clear on the separation between these permanent 
> failures and the
> protocol errors (previous section).

Ok. I'll remove this separation.

> 
> > 
> >        PANA_AVP_UNSUPPORTED                    5001
> >           Error code from PAA to PaC or from PaC to PAA.  The
> >           received message contained an AVP that is not recognized
> >           or supported and was marked with the Mandatory bit.  A
> >           PANA message with this error MUST contain one or more
> >           Failed-AVP AVP containing the AVPs that caused the
> >           failure.
> 
> I think we also need to define Failed-AVP AVP in the draft.

Yep. I'll attach this to the error handling issue17.

- Dan

> Alper

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana